Summary:	The Vixie cron daemon for executing specified programs at set times
Name:		vixie-cron
Version:	4.3
Release:	%mkrel 3
License:	distributable
Group:		System/Servers
URL:        https://hosted.fedoraproject.org/vixie-cron
Source0:	https://hosted.fedoraproject.org/vixie-cron/attachment/wiki/WikiStart/%{name}-%{version}.tar.gz
Source1:	vixie-cron.init
Patch100150:	vixie-cron-4.1-ppc.patch
Requires:	bash >= 2.0
Requires:	syslog-daemon
Provides:	cron-daemon
Requires:   pam >= 0.77
Requires(post):     rpm-helper
Requires(preun):    rpm-helper
Buildrequires: pam-devel
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
The vixie-cron package contains the Vixie version of cron.  Cron is a
standard UNIX daemon that runs specified programs at scheduled times.
Vixie cron adds better security and more powerful configuration
options to the standard version of cron.

%prep
%setup -q

%ifarch ppc
%patch100150 -p1 -b .ppc
%endif

%build
%serverbuild
autoreconf
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

mv %{buildroot}%{_sysconfdir}/pam.d/crond.pam \
    %{buildroot}%{_sysconfdir}/pam.d/crond

install -d -m 700 %{buildroot}/var/spool/cron
install -d -m 755 %{buildroot}%{_sysconfdir}/cron.d

install -d -m 755 %{buildroot}%{_initrddir}
install -m 755 %{SOURCE1} %{buildroot}%{_initrddir}/crond

# https://bugzilla.mandriva.com/show_bug.cgi?id=19645 and
# https://bugzilla.mandriva.com/show_bug.cgi?id=28278
touch %{buildroot}%{_sysconfdir}/cron.deny

%clean
rm -rf %{buildroot}

%post
%_post_service crond

%preun
%_preun_service crond

%files
%defattr(-,root,root)
%doc AUTHORS LICENSE INSTALL README
%{_sbindir}/crond
%attr(6755,root,root) %{_bindir}/crontab
%{_mandir}/man*/*
/var/spool/cron
%{_sysconfdir}/cron.d
%{_initrddir}/crond
%config(noreplace) %{_sysconfdir}/pam.d/crond
%config(noreplace) %{_sysconfdir}/cron.deny


%changelog
* Mon Mar 24 2008 Guillaume Rousse <guillomovitch@mandriva.org> 4.3-3mdv2008.1
+ Revision: 189741
- don't ship logrotate file, as logs are handled by syslog packages already

* Wed Jan 09 2008 Andreas Hasenack <andreas@mandriva.com> 4.3-2mdv2008.1
+ Revision: 147274
- ship an empty /etc/cron.deny file. This fixes #19645
  and #28278 and makes the enable_at_cron draksec/msec setting
  work again

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 21 2007 Guillaume Rousse <guillomovitch@mandriva.org> 4.3-1mdv2008.1
+ Revision: 136712
- no more -p option in init script
- spec cleanup
- drop conditional pam support
- new version, from fedora version
  drop old unappliable patches

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 06 2007 Andreas Hasenack <andreas@mandriva.com> 4.1-10mdv2008.1
+ Revision: 115910
- fix for CVE-2007-1856

* Wed Jun 27 2007 Andreas Hasenack <andreas@mandriva.com> 4.1-9mdv2008.0
+ Revision: 45206
- rebuild with new serverbuild macro (-fstack-protector-all)


* Thu Sep 14 2006 Guillaume Rousse <guillomovitch@mandriva.org> 4.1-8mdv2007.0
- add -p option in initscript to allow insecure use of executable crontab files (fix #23951).
- initscript is not a configuration file
- uncompress additional sources
- more macros

* Thu Jul 20 2006 Warly <warly@mandriva.com> 4.1-7mdv2007.0
- add the Michael Scherer patch to fix snprintf overflow (patch 46) and fix bug 23689

* Sun Jun 11 2006 Oden Eriksson <oeriksson@mandriva.com> 4.1-6mdv2007.0
- added P10020 to fix #20917
- added P10021 from suse to fix CVE-2006-2607

* Tue Jan 31 2006 Olivier Blin <oblin@mandriva.com> 4.1-5mdk
- drop Patch101 (i.e. don't put back depreacted pam_stack module,
  and don't remove pam_loginuid)

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 4.1-4mdk
- fix typo in initscript

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 4.1-3mdk
- convert parallel init to LSB
- mkrel
- fix summary-ended-with-dot
- fix Requires post and preun

* Sat Dec 31 2005 Couriousous <couriousous@mandriva.org> 4.1-2mdk
- Add parallel init stuff

* Fri Nov 04 2005 Warly <warly@mandriva.com> 4.1-1mdk
- new version

* Thu Jul 14 2005 Herton Ronaldo Krzesinski <herton@mandriva.com> 3.0.1-57mdk
- Replaced sysklogd requires to syslog-daemon, use provides name to
  enable use of other syslog flavour.

